Skip to main content
GET
/
v1
/
maps
/
{map_id}
Get Map
curl --request GET \
  --url https://api.olostep.com/v1/maps/{map_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "urls_count": 123,
  "urls": [
    "<string>"
  ],
  "cursor": "<string>",
  "credits_consumed": 123,
  "cost_usd": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer , where is your auth token.

Path Parameters

map_id
string
required

Unique identifier for the map to be retrieved.

Response

Successful response with the map object.

id
string

Unique identifier for this map

urls_count
integer

Number of URLs in the current response

urls
string[]

Array of URLs found on the page

cursor
string | null

Pagination cursor to retrieve the next set of URLs. If null, all URLs have been retrieved.

credits_consumed
integer | null

Number of credits consumed by this request. Populated after execution completes. Credits are the source of truth for billing.

cost_usd
number | null

Estimated cost in USD for this request. Populated after execution completes. Calculated from credits consumed and your plan rate — 99% accurate, but credits_consumed is the authoritative value.